<div class="container-fluid bg-primary">
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary container">
        <a class="navbar-brand" href="/">
            <img src="/images/logo.svg" height="30" class="d-inline-block align-top" alt="Web Gallery">
        </a>

        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTop" aria-controls="navbarTop" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    
        <div class="collapse navbar-collapse" id="navbarTop">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item d-flex">
                    <% if (locals.user) { %>
                    <a class="nav-link" href="/user/profile">
                        <i class="fas fa-user-circle mr-2"></i><%= user.name %>
                    </a>

                    <a class="nav-link disabled" href="#">|</a>

                    <form action="/auth/logout" method="get">
                        <button type="submit" class="btn-logout nav-link">
                            <i class="fas fa-sign-out-alt mr-2"></i>Cerrar sesión
                        </button>
                    </form>

                    <% } else {%>
                    <a class="nav-link" href="/auth/signin">
                        <i class="fas fa-sign-in-alt mr-2"></i>Iniciar sesión
                    </a>
                    <% } %> 
                </li>
            </ul>
        </div>
    </nav>
</div>

<div class="container-fluid bg-light">
    <nav class="navbar navbar-expand-lg p-0 nav-primary container">
        
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    
        <div class="collapse navbar-collapse" id="navbar">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="/">Todas las categorías</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/collection">Colección</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/exhibitions">Expociciones</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/education">Educación</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/">Conservación</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/authors">Autores</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/top">Top 10</a>
                </li>
            </ul>

            <ul class="navbar-nav dashboard ml-auto">
                <li class="nav-item">
                    <% if (locals.user) { %>
                        <% if (locals.user.rol === 'admin') { %>
                        <a class="nav-link" href="/admin/dashboard">Dashboard</a>
                        <% } else {%>
                        <a class="nav-link" href="/user/dashboard">Dashboard</a>
                        <% } %> 
                    <% } else {%>
                        <a class="nav-link" href="/auth/signup">Registrarse</a>
                    <% } %> 
                </li>
            </ul>
        </div>
    </nav>
</div>